# Interface methods for submodule: RescaleIntensityImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: RescaleIntensityImageFilter
class RescaleIntensityImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def SetOutputMinimum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutputMinimum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetOutputMaximum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutputMaximum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutputMinimum(self) -> float:
		""""""
		...

	@overload
	def GetOutputMinimum(self) -> int:
		""""""
		...

	@overload
	def GetOutputMaximum(self) -> float:
		""""""
		...

	@overload
	def GetOutputMaximum(self) -> int:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def GetShift(self) -> float:
		""""""
		...

	@overload
	def GetInputMinimum(self) -> float:
		""""""
		...

	@overload
	def GetInputMinimum(self) -> int:
		""""""
		...

	@overload
	def GetInputMaximum(self) -> float:
		""""""
		...

	@overload
	def GetInputMaximum(self) -> int:
		""""""
		...

	def BeforeThreadedGenerateData(self) -> None:
		""""""
		...

